## WebKitDOMHTMLObjectElement WebKitDOMHTMLObjectElement |

## Functions

gboolean | webkit_dom_html_object_element_check_validity ()
void | webkit_dom_html_object_element_set_custom_validity ()
WebKitDOMHTMLFormElement * | webkit_dom_html_object_element_get_form ()
gchar * | webkit_dom_html_object_element_get_code ()
void | webkit_dom_html_object_element_set_code ()
gchar * | webkit_dom_html_object_element_get_align ()
void | webkit_dom_html_object_element_set_align ()
gchar * | webkit_dom_html_object_element_get_archive ()
void | webkit_dom_html_object_element_set_archive ()
gchar * | webkit_dom_html_object_element_get_border ()
void | webkit_dom_html_object_element_set_border ()
gchar * | webkit_dom_html_object_element_get_code_base ()
void | webkit_dom_html_object_element_set_code_base ()
gchar * | webkit_dom_html_object_element_get_code_type ()
void | webkit_dom_html_object_element_set_code_type ()
gchar * | webkit_dom_html_object_element_get_data ()
void | webkit_dom_html_object_element_set_data ()
gboolean | webkit_dom_html_object_element_get_declare ()
void | webkit_dom_html_object_element_set_declare ()
gchar * | webkit_dom_html_object_element_get_height ()
void | webkit_dom_html_object_element_set_height ()
glong | webkit_dom_html_object_element_get_hspace ()
void | webkit_dom_html_object_element_set_hspace ()
gchar * | webkit_dom_html_object_element_get_name ()
void | webkit_dom_html_object_element_set_name ()
gchar * | webkit_dom_html_object_element_get_standby ()
void | webkit_dom_html_object_element_set_standby ()
gchar * | webkit_dom_html_object_element_get_use_map ()
void | webkit_dom_html_object_element_set_use_map ()
glong | webkit_dom_html_object_element_get_vspace ()
void | webkit_dom_html_object_element_set_vspace ()
gchar * | webkit_dom_html_object_element_get_width ()
void | webkit_dom_html_object_element_set_width ()
gboolean | webkit_dom_html_object_element_get_will_validate ()
WebKitDOMValidityState * | webkit_dom_html_object_element_get_validity ()
gchar * | webkit_dom_html_object_element_get_validation_message ()
WebKitDOMDocument * | webkit_dom_html_object_element_get_content_document ()

## Properties

gchar * | align | Read / Write
gchar * | archive | Read / Write
gchar * | border | Read / Write
gchar * | code | Read / Write
gchar * | code-base | Read / Write
gchar * | code-type | Read / Write
WebKitDOMDocument * | content-document | Read
gchar * | data | Read / Write
gboolean | declare | Read / Write
WebKitDOMHTMLFormElement * | form | Read
gchar * | height | Read / Write
glong | hspace | Read / Write
gchar * | name | Read / Write
gchar * | standby | Read / Write
gchar * | type | Read / Write
gchar * | use-map | Read / Write
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
glong | vspace | Read / Write
gchar * | width | Read / Write
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLObjectElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLObjectElement

## Implemented Interfaces

WebKitDOMHTMLObjectElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_object_element_check_validity ()

    gboolean
    webkit_dom_html_object_element_check_validity
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gboolean

### webkit_dom_html_object_element_set_custom_validity ()

    void
    webkit_dom_html_object_element_set_custom_validity
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *error);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
error | A gchar |

### webkit_dom_html_object_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_object_element_get_form
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_object_element_get_code ()

    gchar *
    webkit_dom_html_object_element_get_code
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_code ()

    void
    webkit_dom_html_object_element_set_code
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_align ()

    gchar *
    webkit_dom_html_object_element_get_align
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_align ()

    void
    webkit_dom_html_object_element_set_align
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_archive ()

    gchar *
    webkit_dom_html_object_element_get_archive
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_archive ()

    void
    webkit_dom_html_object_element_set_archive
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_border ()

    gchar *
    webkit_dom_html_object_element_get_border
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_border ()

    void
    webkit_dom_html_object_element_set_border
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_code_base ()

    gchar *
    webkit_dom_html_object_element_get_code_base
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_code_base ()

    void
    webkit_dom_html_object_element_set_code_base
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_code_type ()

    gchar *
    webkit_dom_html_object_element_get_code_type
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_code_type ()

    void
    webkit_dom_html_object_element_set_code_type
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_data ()

    gchar *
    webkit_dom_html_object_element_get_data
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_data ()

    void
    webkit_dom_html_object_element_set_data
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_declare ()

    gboolean
    webkit_dom_html_object_element_get_declare
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gboolean

### webkit_dom_html_object_element_set_declare ()

    void
    webkit_dom_html_object_element_set_declare
                                   (WebKitDOMHTMLObjectElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gboolean |

### webkit_dom_html_object_element_get_height ()

    gchar *
    webkit_dom_html_object_element_get_height
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_height ()

    void
    webkit_dom_html_object_element_set_height
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_hspace ()

    glong
    webkit_dom_html_object_element_get_hspace
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A glong

### webkit_dom_html_object_element_set_hspace ()

    void
    webkit_dom_html_object_element_set_hspace
                                   (WebKitDOMHTMLObjectElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A glong |

### webkit_dom_html_object_element_get_name ()

    gchar *
    webkit_dom_html_object_element_get_name
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_name ()

    void
    webkit_dom_html_object_element_set_name
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_standby ()

    gchar *
    webkit_dom_html_object_element_get_standby
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_standby ()

    void
    webkit_dom_html_object_element_set_standby
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_use_map ()

    gchar *
    webkit_dom_html_object_element_get_use_map
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_use_map ()

    void
    webkit_dom_html_object_element_set_use_map
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_vspace ()

    glong
    webkit_dom_html_object_element_get_vspace
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A glong

### webkit_dom_html_object_element_set_vspace ()

    void
    webkit_dom_html_object_element_set_vspace
                                   (WebKitDOMHTMLObjectElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A glong |

### webkit_dom_html_object_element_get_width ()

    gchar *
    webkit_dom_html_object_element_get_width
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_set_width ()

    void
    webkit_dom_html_object_element_set_width
                                   (WebKitDOMHTMLObjectElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLObjectElement |
value | A gchar |

### webkit_dom_html_object_element_get_will_validate ()

    gboolean
    webkit_dom_html_object_element_get_will_validate
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gboolean

### webkit_dom_html_object_element_get_validity ()

    WebKitDOMValidityState *
    webkit_dom_html_object_element_get_validity
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A WebKitDOMValidityState.

[transfer none]

### webkit_dom_html_object_element_get_validation_message ()

    gchar *
    webkit_dom_html_object_element_get_validation_message
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A gchar

### webkit_dom_html_object_element_get_content_document ()

    WebKitDOMDocument *
    webkit_dom_html_object_element_get_content_document
                                   (WebKitDOMHTMLObjectElement *self);

#### Parameters

self | A WebKitDOMHTMLObjectElement |

#### Returns

A WebKitDOMDocument.

[transfer none]

## Types and Values

### WebKitDOMHTMLObjectElement

    typedef struct _WebKitDOMHTMLObjectElement WebKitDOMHTMLObjectElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLObjectElement:align.

Flags: Read / Write

Default value: ""

### The `“archive”` property

      “archive”                  gchar *

read-write gchar* HTMLObjectElement:archive.

Flags: Read / Write

Default value: ""

### The `“border”` property

      “border”                   gchar *

read-write gchar* HTMLObjectElement:border.

Flags: Read / Write

Default value: ""

### The `“code”` property

      “code”                     gchar *

read-write gchar* HTMLObjectElement:code.

Flags: Read / Write

Default value: ""

### The `“code-base”` property

      “code-base”                gchar *

read-write gchar* HTMLObjectElement:code-base.

Flags: Read / Write

Default value: ""

### The `“code-type”` property

      “code-type”                gchar *

read-write gchar* HTMLObjectElement:code-type.

Flags: Read / Write

Default value: ""

### The `“content-document”` property

      “content-document”         WebKitDOMDocument *

read-only WebKitDOMDocument* HTMLObjectElement:content-document.

Flags: Read

### The `“data”` property

      “data”                     gchar *

read-write gchar* HTMLObjectElement:data.

Flags: Read / Write

Default value: ""

### The `“declare”` property

      “declare”                  gboolean

read-write gboolean HTMLObjectElement:declare.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLObjectElement:form.

Flags: Read

### The `“height”` property

      “height”                   gchar *

read-write gchar* HTMLObjectElement:height.

Flags: Read / Write

Default value: ""

### The `“hspace”` property

      “hspace”                   glong

read-write glong HTMLObjectElement:hspace.

Flags: Read / Write

Default value: 0

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLObjectElement:name.

Flags: Read / Write

Default value: ""

### The `“standby”` property

      “standby”                  gchar *

read-write gchar* HTMLObjectElement:standby.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLObjectElement:type.

Flags: Read / Write

Default value: ""

### The `“use-map”` property

      “use-map”                  gchar *

read-write gchar* HTMLObjectElement:use-map.

Flags: Read / Write

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLObjectElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLObjectElement:validity.

Flags: Read

### The `“vspace”` property

      “vspace”                   glong

read-write glong HTMLObjectElement:vspace.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLObjectElement:width.

Flags: Read / Write

Default value: ""

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLObjectElement:will-validate.

Flags: Read

Default value: FALSE